List agreementAcceptances
本文内容
命名空间:microsoft.graph
检索登录用户的 agreementAcceptance 对象。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
AgreementAcceptance.Read
委派(个人 Microsoft 帐户)
不支持。
Application
不支持。
HTTP 请求
GET /me/agreementAcceptances
# where the id or userPrincipalName is the signed-in user's
GET /users/{id | userPrincipalName}/agreementAcceptances
可选的查询参数
此方法支持使用 OData 查询参数 来帮助自定义响应。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 agreementAcceptance 对象集合。
示例
请求
GET https://graph.microsoft.com/v1.0/me/agreementAcceptances
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var agreementAcceptances = await graphClient.Me.AgreementAcceptances
.Request()
.GetAsync();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
const options = {
authProvider,
};
const client = Client.init(options);
let agreementAcceptances = await client.api('/me/agreementAcceptances')
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
AgreementAcceptanceCollectionWithReferencesPage agreementAcceptances = graphClient.me().agreementAcceptances()
.buildRequest()
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/agreementAcceptances"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphAgreementAcceptance *agreementAcceptance = [[MSGraphAgreementAcceptance alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.Me().AgreementAcceptances().Get()
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
Import-Module Microsoft.Graph.Identity.Governance
# A UPN can also be used as -UserId.
Get-MgUserAgreementAcceptance -UserId $userId
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#agreementAcceptances",
"value": [
{
"id": "94410bbf-3d3e-4683-8149-f034e55c39dd_d4bb5206-77bf-4d5c-96b4-cf7b0ed3be98",
"agreementId": "94410bbf-3d3e-4683-8149-f034e55c39dd",
"userId": "d4bb5206-77bf-4d5c-96b4-cf7b0ed3be98",
"deviceId": "00000000-0000-0000-0000-000000000000",
"deviceDisplayName": null,
"deviceOSType": null,
"deviceOSVersion": null,
"agreementFileId": "08033369-8972-42a3-8533-90bbd2757a01",
"userDisplayName": "Megan Bowen",
"userPrincipalName": "MeganB@M365x43961174.OnMicrosoft.com",
"userEmail": "MeganB@M365x43961174.OnMicrosoft.com",
"recordedDateTime": "2022-03-04T14:11:22.6658376Z",
"expirationDateTime": null,
"state": "accepted"
}
]
}